> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/mermaid/interfaces/RunOptions.md](../../../../../packages/mermaid/src/docs/config/setup/mermaid/interfaces/RunOptions.md).

[**mermaid**](../../README.md)

---

# Interface: RunOptions

Defined in: [packages/mermaid/src/mermaid.ts:41](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L41)

## Properties

### nodes?

> `optional` **nodes**: `ArrayLike`<`HTMLElement`>

Defined in: [packages/mermaid/src/mermaid.ts:49](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L49)

The nodes to render. If this is set, `querySelector` will be ignored.

---

### postRenderCallback()?

> `optional` **postRenderCallback**: (`id`) => `unknown`

Defined in: [packages/mermaid/src/mermaid.ts:53](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L53)

A callback to call after each diagram is rendered.

#### Parameters

##### id

`string`

#### Returns

`unknown`

---

### querySelector?

> `optional` **querySelector**: `string`

Defined in: [packages/mermaid/src/mermaid.ts:45](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L45)

The query selector to use when finding elements to render. Default: `".mermaid"`.

---

### suppressErrors?

> `optional` **suppressErrors**: `boolean`

Defined in: [packages/mermaid/src/mermaid.ts:57](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/mermaid.ts#L57)

If `true`, errors will be logged to the console, but not thrown. Default: `false`
